Bug 118702 - im-iiim: the candidate window isn't usable a bit.
Summary: im-iiim: the candidate window isn't usable a bit.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-19 02:32 UTC by Akira TAGOH
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1:11.4-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 09:03:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes a bit (2.21 KB, patch)
2004-03-23 05:58 UTC, Akira TAGOH
no flags Details | Diff

Description Akira TAGOH 2004-03-19 02:32:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.1)
Gecko/20031114

Description of problem:
When the preedit line is placed on the bottom of screen say, and the
candidate window are realized, some candidate words on the window is
out of screen. if it happens, it should consider to show over the top
of the preedit line, but not always under the preedit line.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run gedit and move it to the bottom of screen say.
2.type a lot of enter to move the cursor to the bottom of widget.
3.press Ctrl+space,a space on LANG=ja_JP.UTF-8.
    

Actual Results:  the users can't looks at the candidate words outside
the screen.

Expected Results:  the users can looks at all of the candidate words.

Additional info:

Comment 1 Yu Shao 2004-03-22 02:31:28 UTC
Made a patch, will be in latest build 11.4-28 in fc2-HEAD.

Comment 2 Akira TAGOH 2004-03-23 05:58:16 UTC
Created attachment 98771 [details]
fixes a bit

Although it's better than original behavior, the location which is set by 
(*set_cursor_location)(GtkIMContext *, GdkRectangle) is relative to the client
window. so

y = y  - context_iiim->cursor.y - win_height - context_iiim->cursor.height;

isn't correct. it should be

y = y  - win_height - context_iiim->cursor.height;

Comment 3 Yu Shao 2004-03-23 16:48:43 UTC
Yeah, win_height and cursor height should be enough, thanks Tagoh.

Comment 4 Akira TAGOH 2004-04-16 09:03:31 UTC
it's much better now. Thanks!


Note You need to log in before you can comment on or make changes to this bug.